<button class="k-button" (click)="pdf.saveAs('invoice.pdf')">
  Save As PDF...
</button>
<kendo-pdf-export #pdf paperSize="A3" [scale]="scale">
    <div class="form-container">
        <form id="input-form" [formGroup]="myForm" novalidate>
        <div *ngFor="let input of inputList; let i=index" [ngSwitch]="input.type">
  
            <input *ngSwitchCase="'checkbox'" 
                [name]="input.name" 
                type="checkbox" 
                [formControlName]="input.name" 
                [value]="input.value" 
                [ngStyle]="getInputPosition(input)"
                [placeholder]="input.name"
                >
  
  
            <input *ngSwitchCase="'radio'" 
                [name]="input.name" 
                type="radio" 
                [formControlName]="input.name" 
                [value]="input.value" 
                [ngStyle]="getInputPosition(input)"
                [placeholder]="input.name">
                
              <input *ngSwitchCase="'date'" 
                [name]="input.name" 
                type="date" 
                [formControlName]="input.name" 
                [value]="input.value" 
                [ngStyle]="getInputPosition(input)"
                [placeholder]="input.name">

                <input *ngSwitchCase="'time'" 
                [name]="input.name" 
                type="time" 
                [formControlName]="input.name" 
                [value]="input.value" 
                [ngStyle]="getInputPosition(input)"
                [placeholder]="input.name">

              <input *ngSwitchCase="'textarea'" 
                [name]="input.name" 
                type="textarea" 
                [formControlName]="input.name" 
                [value]="input.value" 
                [ngStyle]="getInputPosition(input)"
                [placeholder]="input.name">
              
               <div *ngSwitchCase="'signature'" >
                 <button *ngIf="!showSigbtn"
                   [ngStyle]="getInputPosition(input)" 
                   style="position: absolute;"
                   class="btn btn-lg btn-outline-primary" 
                   (click)="open()"> signature </button>
               </div> 
              
                   
            <!-- Insert an input accordingly and get the style/position from the component -->
            <input *ngSwitchDefault 
                [name]="input.name" 
                type="text" 
                [formControlName]="input.name" 
                [value]="input.value" 
                [ngStyle]="getInputPosition(input)"
                [placeholder]="input.name" >
             

        </div>
        <div *ngIf="showSigbtn" style="position: absolute;" [ngStyle]="getInputPositionByName('signature')"> 
          <img [src]="transform()">
       </div>
        </form>
    </div>
  
    <div  #cmpContainer [innerHtml]="data">
    </div>
  </kendo-pdf-export>
 